build wxWidgets without version in name

Do you have a question about makefiles, a compiler or IDE you are using and need to know how to set it up for wxWidgets or why it doesn't compile but other IDE's do ? Post your questions here.
Post Reply
msdobrescu
Knows some wx things
Knows some wx things
Posts: 35
Joined: Wed Sep 08, 2004 6:22 am

build wxWidgets without version in name

Post by msdobrescu » Wed Jul 16, 2008 1:56 pm

Hello,

I wish to build wxWidgets with msys/mingw, shared and not monolithic. How do I prevent appending to the name of the resulting dlls and libs the version (i.e. -2.8)? Is there a configure option for that?

Thanks,
Mike

Auria
Site Admin
Site Admin
Posts: 6695
Joined: Thu Sep 28, 2006 12:23 am
Contact:

Post by Auria » Wed Jul 16, 2008 11:32 pm

Why do you want that?

msdobrescu
Knows some wx things
Knows some wx things
Posts: 35
Joined: Wed Sep 08, 2004 6:22 am

Post by msdobrescu » Thu Jul 17, 2008 3:34 am

Because it is much easier to maintain my projects when a new version is released.

I know it was possible in the past.

Auria
Site Admin
Site Admin
Posts: 6695
Joined: Thu Sep 28, 2006 12:23 am
Contact:

Post by Auria » Fri Jul 18, 2008 12:14 am

On MSYS, isn't wx-config available? (as i said i don't use it so don't know)

msdobrescu
Knows some wx things
Knows some wx things
Posts: 35
Joined: Wed Sep 08, 2004 6:22 am

Post by msdobrescu » Fri Jul 18, 2008 5:32 am

I use the standard configure as specified in the documentation.

Post Reply